//*************************************************************************************
// 	: SQ7515_RTC.h
// 汾		: V1.0
// 		: RTC ͷļ
// ע		: 
//**************************************************************************************
#ifndef _SQ7515_RTC_H__
#define _SQ7515_RTC_H__

/* ---------------------- extern ȫֱ ------------------------- */
extern unsigned char RTC_1sec_actFlag;			  // ÿķ
extern unsigned char RTC_alarm_actFlag;			  // ӵķ
extern unsigned char RTC_timeover_actFlag;	      // ʱʱķ	


/* ---------------------- Զ ------------------------------ */
#define RTC_TIE   0x08
#define RTC_SIE   0x04
#define RTC_AIE   0x02
#define RTC_WREIE 0x01

// ԶһRTCʱ֮ṹͣRTC_Perpetual_Calendar_Time
typedef struct{				
    unsigned char sec;							  // ṹԱsec  
	unsigned char min;							  // ṹԱmin  
	unsigned char hour;							  // ṹԱhour Сʱ
	unsigned char day;							  // ṹԱday  
	unsigned char week;							  // ṹԱweek 
	unsigned char mon;							  // ṹԱmon  
	unsigned char year;							  // ṹԱyear 
}RTC_Perpetual_Calendar_Time;


// ԶһRTC֮ṹͣRTC_ALARM
typedef struct{
    unsigned char min;							  // ṹԱmin  
	unsigned char hour;						  	  // ṹԱhour Сʱ
	unsigned char day;							  // ṹԱday  
	unsigned char week;							  // ṹԱweek 
}RTC_ALARM;



//------------------------------------------------------------------
void RTC_Setup();
void Alarm_Setup();
void RTC_Init();								      	// RTC ʼ
void RTC_SetDate(RTC_Perpetual_Calendar_Time* prtc);	// 趨ʱ
void RTC_SetAlarm(RTC_ALARM* palarm);				    // 趨ʱ
void RTC_Refresh(RTC_Perpetual_Calendar_Time* prtc);	// RTC ʱ
void RTC_Output(void);									// 趨 RTCʱ
void RTC_IntEnable(unsigned char intsel,unsigned char enable); // RTC ж
void RTC_IntDisable(); 					 			  // RTC жϳ
void RTC_Start(void);                   			  // RTC 
void RTC_Stop(void);                    			  // RTC ֹͣ
void RTC_TimerSetAndEnable(void);       			  // RTC ʱ趨
void RTC_TimerStart(void);              			  // RTC ʱ()
void RTC_TimerStop(void);               			  // RTC ʱֹܽ(ֹͣ)
void __interrupt IntRTC(void);			 			  // RTC жӳ
#endif


